Announcements
Ace Back to School with AT&T's A+ deals!
jimmyranger's profile

Contributor

 • 

1 Message

Sat, Nov 3, 2018 1:01 AM

Was given an Iphone 5s previously used on AT&T, how long will AT&T support the 5s?

iPhone 5s,  model A1533

Responses

Accepted Solution

Official Solution

sandblaster

ACE - Expert

 • 

50.8K Messages

3 y ago

ATT does not support any iPhone, Apple does. An iPhone 5s will continue to work on ATT for many years. Obviously, that phone won’t get 5G but the current LTE and 4G networks will be around for many years. The phone will die long before it won’t work on ATT’s network.

New Member

 • 

5 Messages

2 m ago

What happens when the iPhone 5s reaches software ver.13.00 and can't be updated anymore - will the phone still function?  

OttoPylot

ACE - Expert

 • 

14.9K Messages

2 m ago

Yes. You just won't be able to use any of the new features that iOS 13.x and above has to offer.

sandblaster

ACE - Expert

 • 

50.8K Messages

2 m ago

@joelandsusan There have been changes since this 3 year old thread was started. An iPhone 5s will no longer work on ATT as of February 2022 when ATT shuts down their 3G network. Not sure what you mean by “reaches iOS 13”, Apple is on iOS 14. The 5s can’t update past iOS 12. That doesn’t mean there are no updates. My old iPad that can’t go past iOS 12 just got an update today to iOS 12.5.3.

OttoPylot

ACE - Expert

 • 

14.9K Messages

2 m ago

@sandblaster I thought the 5S supported GSM/CDMA/LTE (but can't display 4G) and can be updated, if still available, to 12.4.6.

GLIMMERMAN76

ACE - Expert

 • 

22K Messages

2 m ago

The just of it is the 5S will not work on ATT right now with a new activation and for current customers starting in 2/2022 but if they remove the sim put it in another phone and try to go back it may or may not work.  On prepaid it won't work they are using hard account stops on those. 

lizdance40

ACE - Sage

 • 

86.1K Messages

2 m ago

@OttoPylot

AT&T 5S was not capable of operating on Sprint or Verizon and had no CDMA support.  It will get updates within ios 12, but not go to 13. 

It is not compatible with AT&T's HD voice and will cease to function (as cellular) next February.   Unlock and sell out if USA

OttoPylot

ACE - Expert

 • 

14.9K Messages

2 m ago

Thanks everyone (@lizdance40 and @GLIMMERMAN76 ) for the clarifications. Looks like my old 5S goes onto the "Apple Display" shelf for display purposes only 😉.

lizdance40

ACE - Sage

 • 

86.1K Messages

2 m ago

@OttoPylot  I'm sure you have room on your MicroCell closet. 😂

OttoPylot

ACE - Expert

 • 

14.9K Messages

2 m ago

@lizdance40 Funny you should mention that. I am in the process of cleaning them up and getting ready to recycle what I can. Just for fun and games, I reconnected the 154 and it was up and running perfectly in about 8 minutes. I'm gonna keep it online for about a month just to record recent use so AT&T doesn't pull the plug early.

Brand User
ATTHelp

Community Support

 • 

162.3K Messages

2 m ago

Greetings @joelandsusan

 

We appreciate you for reaching out! We would be more than happy to shed light on what to expect from your iPhone 5S on our AT&T Network.

 

As previously mentioned by @sandblaster, your current device will not be able to be used on our network after February 2022. We will soon be Sunsetting Our 3G Network, as we move forward to provide our customers faster and more secure services. If you would like to, feel free to check out our List Of Suitable Devices you can use after we sunset 3G.

 

 

If you have any further questions, feel free to ask. We hope this information was helpful!

 

 

Ty, AT&T Community Specialist

New Member

 • 

5 Messages

2 m ago

Hello Ty, I'm on 4g LTE with AT&T and using a 5s running the latest iOS, so I will we be okay, since we're not using 3g?

GLIMMERMAN76

ACE - Expert

 • 

22K Messages

2 m ago

Nope you will have to get a new phone.  The 5s will quit working by 2/2022 or before depending on areas.

dwill05

Master

 • 

5.4K Messages

2 m ago

The problem with the 5s and earlier models is that they don’t support VoLTE, unlike the 6 and above.  Not only is 3G not supported, but non VoLTE 4G is also going away, so while a 5s may support 4G, it’s not the correct 4G that will be continued to be supported.

Brand User
ATTHelp

Community Support

 • 

162.3K Messages

2 m ago

Hello @joelandsusan,

 

As @GLIMMERMAN76 and @dwill05 stated No, you will need to upgrade to a 4G and 5G compatible device. Your device still will be impacted even using 4G LTE because your device is a 3G dependent phone and will not work due to incompatibility with our HD Voice network.       

 

If you have additional questions reach back out and let us know.

 

Jonye, AT&T Community Specialist

 

 

 

 

 

 

Get started

Ask a question
New to the AT&T Community? Start by visiting the Community How-To.
New to the AT&T Community?
Visit the Community How-To.